#include <SPI.h>
#include "RTClib.h"

void initMax6902();

#define CS 10

byte receivedByte;

void setup() {
  Serial.begin(57600);
  SPI.beginTransaction(SPISettings(100000UL, MSBFIRST, SPI_MODE3));
  SPI.begin();
  // Lecture du mois
  digitalWrite(CS, LOW);
  SPI.transfer(0x89);
  receivedByte = SPI.transfer(0xFF);
  digitalWrite(CS, HIGH);
  // receivedByte contient le mois (valeur entière entre 1 et 12)
  // sauf si il y a un mauvais câblage ou si le MAX6809 est H.S.
  if (receivedByte != 0xFF)
    Serial.println("MAX6902 detected!");
  else
    Serial.println("MAX6902 not detected!");
  // initialisation de la date et de l'heure
  initMax6902();
}

void loop() {
  byte burst_cmd[9] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00}; // modifier les valeurs du tableau pour qu'elles correspondent à la commande burst
  // Compléter le loop() pour lire la date et l'heure courante  
  delay(1000);
}









/**************************************************************************/
/*!
    @brief  Initialize the MAX6902 with date and time calculated at the
    compile time.
    @param void
    @return void
*/
/**************************************************************************/
DateTime dateAndTime(__DATE__, __TIME__);

void initMax6902() {
  //  Serial.println(__TIME__);
  //  Serial.println(__DATE__);
  //  Serial.print(dateAndTime.hour());
  //  Serial.print(":");
  //  Serial.print(dateAndTime.minute());
  //  Serial.print(":");
  //  Serial.println(dateAndTime.second());
  //  Serial.print(dateAndTime.month());
  //  Serial.print(" ");
  //  Serial.print(dateAndTime.day());
  //  Serial.print(" ");
  //  Serial.println(dateAndTime.year());
  digitalWrite(CS, LOW);
  SPI.transfer(0x01);
  SPI.transfer(conv2bcd(dateAndTime.second()));
  digitalWrite(CS, HIGH);
  digitalWrite(CS, LOW);
  SPI.transfer(0x03);
  SPI.transfer(conv2bcd(dateAndTime.minute()));
  digitalWrite(CS, HIGH);
  digitalWrite(CS, LOW);
  SPI.transfer(0x05);
  SPI.transfer(conv2bcd(dateAndTime.hour()));
  digitalWrite(CS, HIGH);
  digitalWrite(CS, LOW);
  SPI.transfer(0x07);
  SPI.transfer(conv2bcd(dateAndTime.day()));
  digitalWrite(CS, HIGH);
  digitalWrite(CS, LOW);
  SPI.transfer(0x09);
  SPI.transfer(conv2bcd(dateAndTime.month()));
  digitalWrite(CS, HIGH);
  digitalWrite(CS, LOW);
  SPI.transfer(0x0D);
  SPI.transfer(conv2bcd(dateAndTime.year()));
  digitalWrite(CS, HIGH);
}
