#ifndef _RTCLIB_H_
#define _RTCLIB_H_

#include <Arduino.h>

uint8_t conv2bcd(uint8_t decimal);
uint8_t conv2dec(uint8_t bcd);

class DateTime {
  public:
    DateTime(const char *date, const char *time);

    /*!
        @brief  Return the year.
        @return Year (range: 2000--2099).
    */
    //    uint16_t year() const {
    //      return 2000U + yOff;
    //    }
    /*!
        @brief  Return the year.
        @return Year (range: 00--99).
    */
    uint16_t year() const {
      return yOff;
    }
    /*!
        @brief  Return the month.
        @return Month number (1--12).
    */
    uint8_t month() const {
      return m;
    }
    /*!
        @brief  Return the day of the month.
        @return Day of the month (1--31).
    */
    uint8_t day() const {
      return d;
    }
    /*!
        @brief  Return the hour
        @return Hour (0--23).
    */
    uint8_t hour() const {
      return hh;
    }
    /*!
        @brief  Return the minute.
        @return Minute (0--59).
    */
    uint8_t minute() const {
      return mm;
    }
    /*!
        @brief  Return the second.
        @return Second (0--59).
    */
    uint8_t second() const {
      return ss;
    }


  protected:
    uint8_t yOff; ///< Year offset from 2000
    uint8_t m;    ///< Month 1-12
    uint8_t d;    ///< Day 1-31
    uint8_t hh;   ///< Hours 0-23
    uint8_t mm;   ///< Minutes 0-59
    uint8_t ss;   ///< Seconds 0-59
};

#endif // _RTCLIB_H_
